Index: tmp/org.txm.core/src/java/org/txm/scripts/importer/StaxStackWriter.groovy
===================================================================
--- tmp/org.txm.core/src/java/org/txm/scripts/importer/StaxStackWriter.groovy	(revision 3193)
+++ tmp/org.txm.core/src/java/org/txm/scripts/importer/StaxStackWriter.groovy	(revision 3194)
@@ -1,293 +0,0 @@
-package org.txm.scripts.importer
-
-import java.nio.charset.Charset;
-
-import javax.xml.namespace.NamespaceContext;
-import javax.xml.stream.*;
-
-import org.eclipse.core.runtime.Platform;
-
-public class StaxStackWriter implements XMLStreamWriter {
-	
-	XMLStreamWriter writer;
-	OutputStream output;
-	def events = [];
-	def debug = false
-	
-	public StaxStackWriter(File file) {
-		this(new BufferedOutputStream(new FileOutputStream(file)));
-	}
-	
-	public StaxStackWriter(File file, String encoding) {
-		this(new BufferedOutputStream(new FileOutputStream(file)), encoding);
-	}
-	
-	public StaxStackWriter(OutputStream output) {
-		this(output, "UTF-8");//create a new file
-	}
-	
-	public StaxStackWriter(OutputStream output, String encoding) {
-		XMLOutputFactory factory = XMLOutputFactory.newInstance();
-		this.output = output
-		this.writer = factory.createXMLStreamWriter(output, encoding);//create a new file
-	}
-	
-	Charset UTF8 = Charset.forName("UTF-8");
-	public void write(String txt) {
-		output.write(txt.getBytes(UTF8))
-	}
-	
-	public void writeEndElements() {
-		int size = events.size();
-		for (int i = 0 ; i < size ; i++) {
-			writeEndElement();
-		}
-		events.clear();
-	}
-	
-	/**
-	 * tagsToWrite: List<String> or List<[String, [String, String]]>
-	 */
-	public void writeStartElements(def tagsToWrite) {
-		for (def tag : tagsToWrite) {
-			if (tag instanceof String) {
-				writeStartElement(tag);
-			} else {
-				writeStartElement(tag[0]);
-				for (def att : tag[1]) {
-					writeAttribute(att[0], att[1])
-				}
-			}
-		}
-	}
-	
-	public def getTagStack() {
-		return events;
-	}
-	
-	@Override
-	public void close () throws XMLStreamException {
-		writer.close();
-		output.close();
-	}
-	
-	@Override
-	public void flush () throws XMLStreamException {
-		writer.flush();
-	}
-	
-	@Override
-	public NamespaceContext getNamespaceContext() {
-		return writer.getNamespaceContext();
-	}
-	
-	@Override
-	public String getPrefix (String uri) throws XMLStreamException {
-		return writer.getPrefix(uri);
-	}
-	
-	@Override
-	public Object getProperty (String name) throws IllegalArgumentException {
-		return writer.getProperty(name);
-	}
-	
-	@Override
-	public void setDefaultNamespace (String uri) throws XMLStreamException {
-		writer.setDefaultNamespace(uri);
-	}
-	
-	@Override
-	public void setNamespaceContext(NamespaceContext context)
-	throws XMLStreamException {
-		writer.setNamespaceContext(context);
-	}
-	
-	@Override
-	public void setPrefix (String prefix, String uri) throws XMLStreamException {
-		writer.setPrefix(prefix, uri);
-	}
-	
-	@Override
-	public void writeAttribute (String localName, String value) throws XMLStreamException {
-		if (value == null) return;
-		writer.writeAttribute(localName, value);
-		if (events.size() > 0) events[events.size()-1][1] << [localName, value]
-	}
-	
-	@Override
-	public void writeAttribute (String namespaceURI, String localName, String value) throws XMLStreamException {
-		if (value == null) return;
-		writer.writeAttribute(namespaceURI, localName, value);
-		if (events.size() > 0) events[events.size()-1][1] << [localName, value]
-	}
-	
-	@Override
-	public void writeAttribute (String prefix, String namespaceURI, String localName, String value) throws XMLStreamException {
-		if (value == null) return;
-		writer.writeAttribute(prefix, namespaceURI, localName, value);
-		if (events.size() > 0) events[events.size()-1][1] << [localName, value]
-	}
-	
-	@Override
-	public void writeCData (String data) throws XMLStreamException {
-		writer.writeCData(data);
-	}
-	
-	@Override
-	public void writeCharacters (String text) throws XMLStreamException {
-		writer.writeCharacters(text);
-	}
-	
-	@Override
-	public void writeCharacters (char[] text, int start, int len) throws XMLStreamException {
-		writer.writeCharacters(text, start, len);
-	}
-	
-	@Override
-	public void writeComment (String data) throws XMLStreamException {
-		writer.writeComment(data);
-	}
-	
-	@Override
-	public void writeDTD (String dtd) throws XMLStreamException {
-		writer.writeDTD(dtd);
-	}
-	
-	@Override
-	public void writeDefaultNamespace(String namespaceURI)
-	throws XMLStreamException {
-		writer.writeDefaultNamespace(namespaceURI);
-	}
-	
-	/**
-	 * WARNING THE ELEMENT IS CLOSED
-	 * @param localName
-	 * @param text
-	 * @throws XMLStreamException
-	 */
-	public void writeElement (String localName, String text) throws XMLStreamException {
-		if (text != null && text.length() > 0) {
-			writer.writeStartElement(localName);
-			writer.writeCharacters(text);
-			writer.writeEndElement();
-		} else {
-			writer.writeEmptyElement(localName);
-		}
-	}
-	
-	public void writeElement (String localName, def map, String text) throws XMLStreamException {
-		if (text != null && text.length() > 0) {
-			writer.writeStartElement(localName);
-			for (def key : map.keySet()) writeAttribute(key.toString(), map[key].toString());
-			writer.writeCharacters(text);
-			writer.writeEndElement();
-		} else {
-			writer.writeEmptyElement(localName);
-			for (def key : map.keySet()) writeAttribute(key.toString(), map[key].toString());
-		}
-	}
-	
-	@Override
-	public void writeEmptyElement (String localName) throws XMLStreamException {
-		writer.writeEmptyElement(localName);
-	}
-	
-	public void writeEmptyElement (String localName, def map) throws XMLStreamException {
-		writer.writeEmptyElement(localName);
-		for (def key : map.keySet()) writeAttribute(key.toString(), map[key].toString());
-	}
-	
-	@Override
-	public void writeEmptyElement(String namespaceURI, String localName)
-	throws XMLStreamException {
-		writer.writeEmptyElement(namespaceURI, localName);
-	}
-	
-	@Override
-	public void writeEmptyElement (String prefix, String localName, String namespaceURI) throws XMLStreamException {
-		writer.writeEmptyElement(prefix, localName, namespaceURI);
-	}
-	
-	@Override
-	public void writeEndDocument () throws XMLStreamException {
-		writer.writeEndDocument();
-	}
-	
-	@Override
-	public void writeEndElement () throws XMLStreamException {
-		writer.writeEndElement();
-		events.remove(events.size()-1)
-		if (debug) println "END: $events"
-	}
-	
-	@Override
-	public void writeEntityRef (String name) throws XMLStreamException {
-		writer.writeEntityRef(name);
-	}
-	
-	@Override
-	public void writeNamespace(String prefix, String namespaceURI)
-	throws XMLStreamException {
-		writer.writeNamespace(prefix, namespaceURI);
-	}
-	
-	@Override
-	public void writeProcessingInstruction(String target)
-	throws XMLStreamException {
-		writer.writeProcessingInstruction(target);
-	}
-	
-	@Override
-	public void writeProcessingInstruction(String target, String data)
-	throws XMLStreamException {
-		writer.writeProcessingInstruction(target, data);
-	}
-	
-	@Override
-	public void writeStartDocument () throws XMLStreamException {
-		writer.writeStartDocument();
-	}
-	
-	@Override
-	public void writeStartDocument (String version) throws XMLStreamException {
-		writer.writeStartDocument(version);
-	}
-	
-	@Override
-	public void writeStartDocument(String encoding, String version)
-	throws XMLStreamException {
-		writer.writeStartDocument(encoding, version);
-	}
-	
-	@Override
-	public void writeStartElement (String localName) throws XMLStreamException {
-		writer.writeStartElement(localName);
-		events << [localName, []]
-		if (debug) println "START $localName $events"
-	}
-	
-	public void writeStartElement (String localName, def map) throws XMLStreamException {
-		writeStartElement(localName);
-		
-		for (def key : map.keySet()) {
-			writeAttribute(key.toString(), map[key].toString());
-			events[events.size()-1][1] << [key.toString(), map[key].toString()]
-		}
-	}
-	
-	@Override
-	public void writeStartElement(String namespaceURI, String localName)
-	throws XMLStreamException {
-		writer.writeStartElement(namespaceURI, localName);
-		events << [localName, []]
-		if (debug) println "START $localName $events"
-	}
-	
-	@Override
-	public void writeStartElement(String prefix, String localName,
-			String namespaceURI) throws XMLStreamException {
-		writer.writeStartElement(prefix, localName, namespaceURI);
-		events << [localName, []]
-		if (debug) println "START $localName $prefix $events"
-	}
-}
Index: tmp/org.txm.core/src/java/org/txm/scripts/importer/StaxStackWriter.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/scripts/importer/StaxStackWriter.java	(revision 0)
+++ tmp/org.txm.core/src/java/org/txm/scripts/importer/StaxStackWriter.java	(revision 3194)
@@ -0,0 +1,345 @@
+package org.txm.scripts.importer;
+
+import java.io.BufferedOutputStream;
+import java.io.File;
+import java.io.FileNotFoundException;
+import java.io.FileOutputStream;
+import java.io.IOException;
+import java.io.OutputStream;
+import java.nio.charset.Charset;
+import java.util.ArrayList;
+import java.util.Arrays;
+import java.util.HashMap;
+import java.util.List;
+
+import javax.xml.namespace.NamespaceContext;
+import javax.xml.stream.XMLOutputFactory;
+import javax.xml.stream.XMLStreamException;
+import javax.xml.stream.XMLStreamWriter;
+
+@SuppressWarnings("rawtypes")
+public class StaxStackWriter implements XMLStreamWriter {
+	
+	XMLStreamWriter writer;
+	OutputStream output;
+	List<List<List>> events = new ArrayList<>();
+	boolean debug = false;
+	
+	public StaxStackWriter(File file) throws FileNotFoundException, XMLStreamException {
+		this(new BufferedOutputStream(new FileOutputStream(file)));
+	}
+	
+	public StaxStackWriter(File file, String encoding) throws FileNotFoundException, XMLStreamException {
+		this(new BufferedOutputStream(new FileOutputStream(file)), encoding);
+	}
+	
+	public StaxStackWriter(OutputStream output) throws XMLStreamException {
+		this(output, "UTF-8");//create a new file
+	}
+	
+	public StaxStackWriter(OutputStream output, String encoding) throws XMLStreamException {
+		XMLOutputFactory factory = XMLOutputFactory.newInstance();
+		this.output = output;
+		this.writer = factory.createXMLStreamWriter(output, encoding);//create a new file
+	}
+	
+	Charset UTF8 = Charset.forName("UTF-8");
+	public void write(String txt) throws IOException {
+		output.write(txt.getBytes(UTF8));
+	}
+	
+	public void writeEndElements() throws XMLStreamException {
+		
+		int size = events.size();
+		for (int i = 0 ; i < size ; i++) {
+			writeEndElement();
+		}
+		
+		if (events.size() > 0) {
+			System.out.println("Warning: XML events should be empty and its not: "+events);
+		}
+		
+		events.clear();
+	}
+	
+	/**
+	 * tagsToWrite: List<String> or List<[String, [String, String]]>
+	 * @throws XMLStreamException 
+	 */
+	public void writeStartElements(List<Object> tagsToWrite) throws XMLStreamException {
+		for (Object tag : tagsToWrite) {
+			if (tag instanceof String) {
+				writeStartElement((String)tag);
+			} else {
+				List l = (List)tag;
+				writeStartElement((String)l.get(0));
+				for (Object att : (List)l.get(1)) {
+					List l2 = (List)att;
+					writeAttribute(l2.get(0).toString(), l2.get(1).toString());
+				}
+			}
+		}
+		System.out.println("reopened: "+events);
+	}
+	
+	public List<List<List>> getTagStack() {
+		return events;
+	}
+	
+	@Override
+	public void close () throws XMLStreamException {
+		writer.close();
+		try {
+			output.close();
+		}
+		catch (IOException e) {
+			// TODO Auto-generated catch block
+			e.printStackTrace();
+		}
+	}
+	
+	@Override
+	public void flush () throws XMLStreamException {
+		writer.flush();
+	}
+	
+	@Override
+	public NamespaceContext getNamespaceContext() {
+		return writer.getNamespaceContext();
+	}
+	
+	@Override
+	public String getPrefix (String uri) throws XMLStreamException {
+		return writer.getPrefix(uri);
+	}
+	
+	@Override
+	public Object getProperty (String name) throws IllegalArgumentException {
+		return writer.getProperty(name);
+	}
+	
+	@Override
+	public void setDefaultNamespace (String uri) throws XMLStreamException {
+		writer.setDefaultNamespace(uri);
+	}
+	
+	@Override
+	public void setNamespaceContext(NamespaceContext context)
+	throws XMLStreamException {
+		writer.setNamespaceContext(context);
+	}
+	
+	@Override
+	public void setPrefix (String prefix, String uri) throws XMLStreamException {
+		writer.setPrefix(prefix, uri);
+	}
+	
+	@Override
+	public void writeAttribute (String localName, String value) throws XMLStreamException {
+		if (value == null) return;
+		writer.writeAttribute(localName, value);
+		
+		if (events.size() > 0) events.get(events.size()-1).get(1).add(Arrays.asList(localName, value));
+	}
+	
+	@Override
+	public void writeAttribute (String namespaceURI, String localName, String value) throws XMLStreamException {
+		if (value == null) return;
+		writer.writeAttribute(namespaceURI, localName, value);
+		
+		if (events.size() > 0) events.get(events.size()-1).get(1).add(Arrays.asList(localName, value));
+	}
+	
+	@Override
+	public void writeAttribute (String prefix, String namespaceURI, String localName, String value) throws XMLStreamException {
+		if (value == null) return;
+		writer.writeAttribute(prefix, namespaceURI, localName, value);
+		
+		if (events.size() > 0) events.get(events.size()-1).get(1).add(Arrays.asList(localName, value));
+	}
+	
+	@Override
+	public void writeCData (String data) throws XMLStreamException {
+		writer.writeCData(data);
+	}
+	
+	@Override
+	public void writeCharacters (String text) throws XMLStreamException {
+		writer.writeCharacters(text);
+	}
+	
+	@Override
+	public void writeCharacters (char[] text, int start, int len) throws XMLStreamException {
+		writer.writeCharacters(text, start, len);
+	}
+	
+	@Override
+	public void writeComment (String data) throws XMLStreamException {
+		writer.writeComment(data);
+	}
+	
+	@Override
+	public void writeDTD (String dtd) throws XMLStreamException {
+		writer.writeDTD(dtd);
+	}
+	
+	@Override
+	public void writeDefaultNamespace(String namespaceURI)
+	throws XMLStreamException {
+		writer.writeDefaultNamespace(namespaceURI);
+	}
+	
+	/**
+	 * WARNING THE ELEMENT IS CLOSED
+	 * @param localName
+	 * @param text
+	 * @throws XMLStreamException
+	 */
+	public void writeElement (String localName, String text) throws XMLStreamException {
+		if (text != null && text.length() > 0) {
+			writer.writeStartElement(localName);
+			writer.writeCharacters(text);
+			writer.writeEndElement();
+		} else {
+			writer.writeEmptyElement(localName);
+		}
+	}
+	
+	public void writeElement (String localName, HashMap map, String text) throws XMLStreamException {
+		if (text != null && text.length() > 0) {
+			writer.writeStartElement(localName);
+			
+			events.add(new ArrayList(Arrays.asList(localName, new ArrayList()))); // must be done or else writeAttribute will insert the attribute in the previous element
+			
+			for (Object key : map.keySet()) {
+				if (map.get(key) == null) { // avoid NPE
+					map.put(key, "");
+				}
+				
+				writeAttribute(key.toString(), map.get(key).toString());
+			}
+			writer.writeCharacters(text);
+			writer.writeEndElement();
+			
+			events.remove(events.size()-1);
+		} else {
+			writeEmptyElement(localName, map);
+		}
+	}
+	
+	@Override
+	public void writeEmptyElement (String localName) throws XMLStreamException {
+		writer.writeEmptyElement(localName);
+	}
+	
+	public void writeEmptyElement (String localName, HashMap map) throws XMLStreamException {
+		writer.writeEmptyElement(localName);
+		events.add(new ArrayList(Arrays.asList(localName, new ArrayList()))); // must be done or else writeAttribute will insert the attribute in the previous element
+		for (Object key : map.keySet()) {
+			if (map.get(key) == null) { // avoid NPE
+				map.put(key, "");
+			}
+			writeAttribute(key.toString(), map.get(key).toString());
+		}
+		events.remove(events.size()-1);
+	}
+	
+	@Override
+	public void writeEmptyElement(String namespaceURI, String localName)
+	throws XMLStreamException {
+		writer.writeEmptyElement(namespaceURI, localName);
+	}
+	
+	@Override
+	public void writeEmptyElement (String prefix, String localName, String namespaceURI) throws XMLStreamException {
+		writer.writeEmptyElement(prefix, localName, namespaceURI);
+	}
+	
+	@Override
+	public void writeEndDocument () throws XMLStreamException {
+		writer.writeEndDocument();
+	}
+	
+	@Override
+	public void writeEndElement () throws XMLStreamException {
+		writer.writeEndElement();
+		events.remove(events.size()-1);
+		if (debug) System.out.println("END: "+events);
+	}
+	
+	@Override
+	public void writeEntityRef (String name) throws XMLStreamException {
+		writer.writeEntityRef(name);
+	}
+	
+	@Override
+	public void writeNamespace(String prefix, String namespaceURI)
+	throws XMLStreamException {
+		writer.writeNamespace(prefix, namespaceURI);
+	}
+	
+	@Override
+	public void writeProcessingInstruction(String target)
+	throws XMLStreamException {
+		writer.writeProcessingInstruction(target);
+	}
+	
+	@Override
+	public void writeProcessingInstruction(String target, String data)
+	throws XMLStreamException {
+		writer.writeProcessingInstruction(target, data);
+	}
+	
+	@Override
+	public void writeStartDocument () throws XMLStreamException {
+		writer.writeStartDocument();
+	}
+	
+	@Override
+	public void writeStartDocument (String version) throws XMLStreamException {
+		writer.writeStartDocument(version);
+	}
+	
+	@Override
+	public void writeStartDocument(String encoding, String version)
+	throws XMLStreamException {
+		writer.writeStartDocument(encoding, version);
+	}
+	
+	@Override
+	public void writeStartElement (String localName) throws XMLStreamException {
+		writer.writeStartElement(localName);
+		events.add(new ArrayList(Arrays.asList(localName, new ArrayList())));
+		if (debug) System.out.println("START "+localName+" "+events);
+	}
+
+	public void writeStartElement (String localName, HashMap map) throws XMLStreamException {
+		writeStartElement(localName);
+		
+		for (Object key : map.keySet()) {
+			
+			if (map.get(key) == null) { // avoid NPE
+				map.put(key, "");
+			}
+			
+			writeAttribute(key.toString(), map.get(key).toString());
+		}
+	}
+	
+	@Override
+	public void writeStartElement(String namespaceURI, String localName)
+	throws XMLStreamException {
+		writer.writeStartElement(namespaceURI, localName);
+		events.add(new ArrayList(Arrays.asList(localName, new ArrayList())));
+		
+		if (debug) System.out.println("START "+localName+" "+events);
+	}
+	
+	@Override
+	public void writeStartElement(String prefix, String localName,
+			String namespaceURI) throws XMLStreamException {
+		writer.writeStartElement(prefix, localName, namespaceURI);
+		events.add(new ArrayList(Arrays.asList(localName, new ArrayList())));
+		if (debug) System.out.println("START "+prefix+" "+localName+" "+events);
+	}
+}

Property changes on: tmp/org.txm.core/src/java/org/txm/scripts/importer/StaxStackWriter.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 3193)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 3194)
@@ -2506,7 +2506,7 @@
 		catch (Exception e) {
 			// set result and its children as canceled
 			this.resetComputingState();
-			Log.warning(TXMCoreMessages.bind("An error occurs during computing: {0}.", e.getMessage()));
+			Log.warning(TXMCoreMessages.bind("** {0}.", e.getMessage()));
 			Log.printStackTrace(e);
 			this.computing = false;
 			return false;
@@ -2519,7 +2519,7 @@
 			mainSubMonitor.subTask(this.getComputingDoneMessage());
 		}
 		catch (Exception e) {
-			Log.severe("Error while retrieving the result computing done message."); //$NON-NLS-1$
+			Log.severe("** Error while retrieving the result computing done message."); //$NON-NLS-1$
 			Log.printStackTrace(e);
 		}
 		
Index: tmp/org.txm.core/src/java/org/txm/Toolbox.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 3193)
+++ tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 3194)
@@ -45,6 +45,7 @@
 import java.util.logging.Level;
 
 import org.apache.commons.lang.StringUtils;
+import org.eclipse.core.internal.registry.osgi.OSGIUtils;
 import org.eclipse.core.internal.resources.Project;
 import org.eclipse.core.runtime.CoreException;
 import org.eclipse.core.runtime.IConfigurationElement;
@@ -603,8 +604,6 @@
 		return true;
 	}
 	
-	
-	
 	private static boolean startWorkspace(IProgressMonitor monitor) {
 		
 		String txmhomedir = getPreference(TBXPreferences.USER_TXM_HOME);
@@ -727,7 +726,8 @@
 	}
 	
 	public static String getInstallDirectory() {
-		return getPreference(TBXPreferences.INSTALL_DIR);
+		//return getPreference(TBXPreferences.INSTALL_DIR);
+		return Platform.getInstallLocation().getURL().getFile();
 	}
 	
 	/**
@@ -767,7 +767,7 @@
 			// }
 			// }
 			
-			String path = Toolbox.getPreference(TBXPreferences.INSTALL_DIR);
+			String path = getInstallDirectory();
 			File installDirectory = new File(path);
 			if (!installDirectory.exists()) {
 				Log.warning("Error: Workspace cannot found install directory: " + installDirectory.getAbsolutePath());
@@ -822,4 +822,11 @@
 			}
 		}
 	}
+
+	/**
+	 * @return the Eclipse RCP configuration directory (osgi.configuration.area)
+	 */
+	public static String getConfigurationDirectory() {
+		return OSGIUtils.getDefault().getConfigurationLocation().getURL().toString().substring(5);
+	}
 }
Index: tmp/org.txm.core/build.properties
===================================================================
--- tmp/org.txm.core/build.properties	(revision 3193)
+++ tmp/org.txm.core/build.properties	(revision 3194)
@@ -34,7 +34,8 @@
                log4j.properties,\
                res/org/,\
                schema/,\
-               OSGI-INF/
+               OSGI-INF/,\
+               lib/jsoup-1.11.3.jar
 output..=bin/
 source..=src/java/,res/,test/
 bin.excludes=META-INF/TSTMANIFEST.MF
Index: tmp/org.txm.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.core/META-INF/MANIFEST.MF	(revision 3193)
+++ tmp/org.txm.core/META-INF/MANIFEST.MF	(revision 3194)
@@ -439,17 +439,42 @@
 Bundle-SymbolicName: org.txm.core;singleton:=true
 Bundle-Version: 0.8.2.qualifier
 Bundle-Name: TXM Core Toolbox
-Bundle-ClassPath: .,lib/ant-1.7.1.jar,lib/ant-launcher.jar,lib/ant.jar
- ,lib/antlr-2.7.7.jar,lib/asm-analysis-2.2.3.jar,lib/asm-tree-2.2.3.ja
- r,lib/colt-1.2.0.jar,lib/concurrent-1.3.4.jar,lib/dom4j-1.6.1.jar,lib
- /forms-1.0.7.jar,lib/jline-0.9.94.jar,lib/junit-4.5.jar,lib/jvectClip
- board-1.2.jar,lib/liquidlnf.jar,lib/log4j-1.2.12.jar,lib/looks-2.0.1.
- jar,lib/macSpecific.jar,lib/quaqua.jar,lib/REngine.jar,lib/RserveEngi
- ne.jar,lib/rtfCleaner.jar,lib/swing-layout-1.0.3.jar,lib/juniversalch
- ardet-1.0.3.jar,lib/textcat-1.0.1.jar,lib/saxon9he.jar,lib/jtidy-r938
- .jar,lib/json-20090211.jar,lib/juh-3.2.1.jar,lib/jurt-3.2.1.jar,lib/r
- idl-3.2.1.jar,lib/unoil-3.2.1.jar,lib/sqlite-jdbc-3.8.11.2.jar,lib/po
- stgresql-9.4.1207.jre6.jar,lib/jodconverter-core-3.1-beta.jar
+Bundle-ClassPath: .,
+ lib/ant-1.7.1.jar,
+ lib/ant-launcher.jar,
+ lib/ant.jar,
+ lib/antlr-2.7.7.jar,
+ lib/asm-analysis-2.2.3.jar,
+ lib/asm-tree-2.2.3.jar,
+ lib/colt-1.2.0.jar,
+ lib/concurrent-1.3.4.jar,
+ lib/dom4j-1.6.1.jar,
+ lib/forms-1.0.7.jar,
+ lib/jline-0.9.94.jar,
+ lib/junit-4.5.jar,
+ lib/jvectClipboard-1.2.jar,
+ lib/liquidlnf.jar,
+ lib/log4j-1.2.12.jar,
+ lib/looks-2.0.1.jar,
+ lib/macSpecific.jar,
+ lib/quaqua.jar,
+ lib/REngine.jar,
+ lib/RserveEngine.jar,
+ lib/rtfCleaner.jar,
+ lib/swing-layout-1.0.3.jar,
+ lib/juniversalchardet-1.0.3.jar,
+ lib/textcat-1.0.1.jar,
+ lib/saxon9he.jar,
+ lib/jtidy-r938.jar,
+ lib/json-20090211.jar,
+ lib/juh-3.2.1.jar,
+ lib/jurt-3.2.1.jar,
+ lib/ridl-3.2.1.jar,
+ lib/unoil-3.2.1.jar,
+ lib/sqlite-jdbc-3.8.11.2.jar,
+ lib/postgresql-9.4.1207.jre6.jar,
+ lib/jodconverter-core-3.1-beta.jar,
+ lib/jsoup-1.11.3.jar
 Require-Bundle: org.txm.utils.core;bundle-version="1.0.0";visibility:=reexport,
  org.txm.libs.groovy-all;bundle-version="1.0.0";visibility:=reexport,
  org.eclipse.core.runtime;bundle-version="3.10.0";visibility:=reexport,
Index: tmp/org.txm.core/.classpath
===================================================================
--- tmp/org.txm.core/.classpath	(revision 3193)
+++ tmp/org.txm.core/.classpath	(revision 3194)
@@ -1,77 +1,45 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	<classpathentry exported="true" kind="lib"
-		path="lib/ant-1.7.1.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/ant-launcher.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/ant.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/antlr-2.7.7.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/asm-analysis-2.2.3.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/asm-tree-2.2.3.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/concurrent-1.3.4.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/dom4j-1.6.1.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/forms-1.0.7.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/jline-0.9.94.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/junit-4.5.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/jvectClipboard-1.2.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/liquidlnf.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/log4j-1.2.12.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/looks-2.0.1.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/macSpecific.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/quaqua.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/rtfCleaner.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/swing-layout-1.0.3.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/juniversalchardet-1.0.3.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/textcat-1.0.1.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/json-20090211.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/ridl-3.2.1.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/unoil-3.2.1.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/sqlite-jdbc-3.8.11.2.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/postgresql-9.4.1207.jre6.jar" />
-	<classpathentry kind="con"
-		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
-	<classpathentry exported="true" kind="con"
-		path="org.eclipse.pde.core.requiredPlugins">
+	<classpathentry exported="true" kind="lib" path="lib/jsoup-1.11.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/ant-1.7.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/ant-launcher.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/ant.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/antlr-2.7.7.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/asm-analysis-2.2.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/asm-tree-2.2.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/concurrent-1.3.4.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/dom4j-1.6.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/forms-1.0.7.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jline-0.9.94.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/junit-4.5.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jvectClipboard-1.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/liquidlnf.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/log4j-1.2.12.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/looks-2.0.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/macSpecific.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/quaqua.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/rtfCleaner.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/swing-layout-1.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/juniversalchardet-1.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/textcat-1.0.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/json-20090211.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/ridl-3.2.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/unoil-3.2.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/sqlite-jdbc-3.8.11.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/postgresql-9.4.1207.jre6.jar"/>
+	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
+	<classpathentry exported="true" kind="con" path="org.eclipse.pde.core.requiredPlugins">
 		<attributes>
-			<attribute
-				name="org.eclipse.jdt.launching.CLASSPATH_ATTR_LIBRARY_PATH_ENTRY"
-				value="org.txm.toolbox/native" />
+			<attribute name="org.eclipse.jdt.launching.CLASSPATH_ATTR_LIBRARY_PATH_ENTRY" value="org.txm.toolbox/native"/>
 		</attributes>
 		<accessrules>
-			<accessrule kind="accessible" pattern="**" />
+			<accessrule kind="accessible" pattern="**"/>
 		</accessrules>
 	</classpathentry>
-	<classpathentry kind="src" path="src/java" />
-	<classpathentry kind="src" path="test" />
-	<classpathentry kind="src" path="res" />
-	<classpathentry exported="true" kind="con"
-		path="GROOVY_DSL_SUPPORT" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/jodconverter-core-3.1-beta.jar" />
-	<classpathentry kind="lib" path="lib/jsoup-1.11.3.jar" />
-	<classpathentry kind="output" path="bin" />
-</classpath>
\ No newline at end of file
+	<classpathentry kind="src" path="src/java"/>
+	<classpathentry kind="src" path="test"/>
+	<classpathentry kind="src" path="res"/>
+	<classpathentry exported="true" kind="con" path="GROOVY_DSL_SUPPORT"/>
+	<classpathentry exported="true" kind="lib" path="lib/jodconverter-core-3.1-beta.jar"/>
+	<classpathentry kind="output" path="bin"/>
+</classpath>
